using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public abstract class Mover : MonoBehaviour {
    public float acc;
    // Update is called once per frame
    void Update() {
        acc += Time.deltaTime;
        gameObject.transform.position = new Vector3(this.MoveX(acc), this.MoveY(acc), 0);
    }
    public abstract float MoveX(float a);
    public abstract float MoveY(float a);
}
